<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/libsdio.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/libsdio.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * SDIO Userspace Interface library.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef SDIOEMB_LIBSDIO_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define SDIOEMB_LIBSDIO_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#include &lt;stdint.h&gt;</span>
00013 
00028 
00029 <span class="preprocessor">#ifdef __cplusplus</span>
00030 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
00031 <span class="preprocessor">#endif</span>
00032 <span class="preprocessor"></span>
00033 <span class="keyword">struct </span>sdio_uif;
00034 
<a name="l00038"></a><a class="code" href="group__libsdio.html#ga0">00038</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>sdio_uif *<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a>;
00039 
<a name="l00046"></a><a class="code" href="group__libsdio.html#ga1">00046</a> <span class="keyword">typedef</span> void (*<a class="code" href="group__libsdio.html#ga1">sdio_int_handler_t</a>)(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">void</span> *arg);
00047 
<a name="l00056"></a><a class="code" href="group__libsdio.html#ga2">00056</a> <span class="keyword">typedef</span> void (*<a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a>)(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">void</span> *arg, <span class="keywordtype">int</span> status);
00057 
00074 <a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> <a class="code" href="group__libsdio.html#ga3">sdio_open</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *dev_filename,
00075                      <a class="code" href="group__libsdio.html#ga1">sdio_int_handler_t</a> int_handler, <span class="keywordtype">void</span> *arg);
00076 
00089 <span class="keywordtype">void</span> <a class="code" href="group__libsdio.html#ga17">sdio_interrupt_mask</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00090 
00099 <span class="keywordtype">void</span> <a class="code" href="group__libsdio.html#ga18">sdio_interrupt_unmask</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00100 
00107 <span class="keywordtype">void</span> <a class="code" href="group__libsdio.html#ga2">sdio_close</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00108 
00116 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga3">sdio_num_functions</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00117 
00133 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga14">sdio_set_bus_width</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> bus_width);
00134 
00149 <span class="keywordtype">void</span> <a class="code" href="group__fdriver.html#ga13">sdio_set_max_bus_freq</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> max_freq);
00150 
00158 uint16_t <a class="code" href="group__libsdio.html#ga6">sdio_manf_id</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00159 
00167 uint16_t <a class="code" href="group__libsdio.html#ga7">sdio_card_id</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00168 
00177 uint8_t <a class="code" href="group__libsdio.html#ga8">sdio_std_if</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func);
00178 
00187 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga9">sdio_max_block_size</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func);
00188 
00200 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga10">sdio_block_size</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func);
00201 
00213 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga11">sdio_set_block_size</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, <span class="keywordtype">int</span> blksz);
00214 
00225 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga17">sdio_read8</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t *data);
00226 
00237 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga18">sdio_write8</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t data);
00238 
00259 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga21">sdio_read</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t *data,
00260               size_t len, <span class="keywordtype">int</span> block_size);
00261 
00282 <span class="keywordtype">int</span> <a class="code" href="group__fdriver.html#ga22">sdio_write</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, <span class="keyword">const</span> uint8_t *data,
00283                size_t len, <span class="keywordtype">int</span> block_size);
00284 
00297 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga5">sdio_read8_async</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t *data,
00298                      <a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a> callback, <span class="keywordtype">void</span> *arg);
00299 
00312 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga6">sdio_write8_async</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t data,
00313                       <a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a> callback, <span class="keywordtype">void</span> *arg);
00314 
00338 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga7">sdio_read_async</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, uint8_t *data,
00339                     size_t len, <span class="keywordtype">int</span> block_size,
00340                     <a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a> callback, <span class="keywordtype">void</span> *arg);
00341 
00365 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga8">sdio_write_async</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">int</span> func, uint32_t addr, <span class="keyword">const</span> uint8_t *data,
00366                      size_t len, <span class="keywordtype">int</span> block_size,
00367                      <a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a> callback, <span class="keywordtype">void</span> *arg);
00380 <span class="keywordtype">int</span> <a class="code" href="group__libsdio.html#ga16">sdio_reinsert_card</a>(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00381 
00382 <span class="preprocessor">#ifdef __cplusplus</span>
00383 <span class="preprocessor"></span>} <span class="comment">/* extern "C" */</span>
00384 <span class="preprocessor">#endif</span>
00385 <span class="preprocessor"></span>
00388 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef SDIOEMB_LIBSDIO_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
